﻿

a {
    -webkit-transition: all .5s cubic-bezier(.215,.61,.355,1);
    -moz-transition: all .5s cubic-bezier(.215,.61,.355,1);
    -o-transition: all .5s cubic-bezier(.215,.61,.355,1);
    transition: all .5s cubic-bezier(.215,.61,.355,1);
    color: var(--dark);

    :hover {
        color: var(--primary);
    }
}

.hidden {
    display: none !important;
}
.required{
    color:red;
}
.btn {
    display: inline-block;
    margin-bottom: 0;
    font-weight: normal;
    text-align: center;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    border-radius: 4px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.btn-primary {
    border: 1px solid var(--primary);
    background: var(--primary);
    color: var(--white);

    &:hover {
        background: var(--primary-hover);
        border-color: var(--primary-hover);
        color: var(--white);
    }
}

.form-group {
    margin-bottom: 15px;
}

.form-control {
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: var(--dark);
    background-color: var(--white);
    background-image: none;
    border: 1px solid var(--gray);
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;

    &:focus {
        border-color: var(--primary);
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px var(--primary-hover);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px var(--primary-hover);
    }
}

.required-text {
    color: var(--red)
}

.container {
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
    width: 1200px;
    max-width: 100%;
}

/*#region Checkbox */
.checkbox-container [type="checkbox"]:not(:checked), .checkbox-container [type="checkbox"]:checked, .checkbox-container [type="radio"]:not(:checked), .checkbox-container [type="radio"]:checked {
    position: absolute;
    left: -9999px;
}

.checkbox-container [type="checkbox"]:not(:checked) + label, .checkbox-container [type="checkbox"]:checked + label, .checkbox-container [type="radio"]:not(:checked) + label, .checkbox-container [type="radio"]:checked + label {
    position: relative;
    padding-left: 1.95em;
    cursor: pointer;
}

.checkbox-container [type="checkbox"]:not(:checked) + label:before, .checkbox-container [type="checkbox"]:checked + label:before, .checkbox-container [type="radio"]:not(:checked) + label:before, .checkbox-container [type="radio"]:checked + label:before {
    -webkit-transition: all .5s cubic-bezier(.215,.61,.355,1);
    -moz-transition: all .5s cubic-bezier(.215,.61,.355,1);
    -o-transition: all .5s cubic-bezier(.215,.61,.355,1);
    transition: all .5s cubic-bezier(.215,.61,.355,1);
    border: 2px solid #ddd;
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 1.25em;
    height: 1.25em;
    background: #fff;
}

.checkbox-container [type="checkbox"]:not(:checked) + label:after, .checkbox-container [type="checkbox"]:checked + label:after, .checkbox-container [type="radio"]:not(:checked) + label:after, .checkbox-container [type="radio"]:checked + label:after {
    content: "\e830";
    font-family: "nac-icon";
    position: absolute;
    top: .1em;
    left: .3em;
    font-size: 1.3em;
    line-height: .8;
    color: var(--primary);
    -webkit-transition: all .2s;
    -o-transition: all .2s;
    transition: all .2s;
}
/*#endregion */

/*#region #account*/
#account-page {
    background-color: var(--gray-light);
    padding-top: 40px;
    padding-bottom: 40px;

    #login, #registration, #forgotpassword, #sociallogin, #resetpassword {
        form {
            background-color: var(--white);
            width: 500px;
            max-width: 100%;
            padding: 30px;
            margin: 0 auto;
        }

        .alert-container {
            text-align: center;
            padding: 20px;
            text-align: center;
            background: var(--white)
        }
    }

    .acc--pagetit {
        font-size: 25px;
        line-height: 30px;
        text-align: center;
        margin: 0 auto 20px;
        text-transform: uppercase;
        font-weight: bold;
    }

    #login {
        .btn-container {
            .acc--forgottxt {
                margin-bottom: 10px;

                a {
                    color: var(--red);
                    font-weight: bold;
                }
            }

            button {
                display: block;
                margin-bottom: 10px;
                width: 100%;
                text-transform: uppercase;
            }

            .btn-fb {
                background: #4267b2;
                color: #fff;
                display: block;
                margin-bottom: 10px;
                width: 100%;
                text-transform: uppercase;

                &:hover {
                    background: #32508d;
                }
            }

            .signuplink {
                font-weight: bold;
            }
        }
    }

    #registration {
        .btn-container {

            button {
                display: block;
                margin-bottom: 10px;
                width: 100%;
                text-transform: uppercase;
            }

            .loginlink {
                font-weight: bold;
            }
        }
    }

    #forgotpassword {
        .btn-container {

            button {
                display: block;
                margin-bottom: 10px;
                width: 100%;
                text-transform: uppercase;
            }
        }
    }

    #account {
        .section-header {
            margin-bottom: 10px;

            &.flex-center {
                margin-bottom: 15px;
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;

                h2 {
                    font-weight: lighter;

                    span {
                        font-weight: bolder;
                    }
                }

                .date {
                }
            }
        }

        .section-body {
            background-color: var(--white);
            padding: 30px;
        }

        #accountinfoform {
            label {
                margin-bottom: 0;
                font-weight: normal;
            }

            .input-group {
                .checkbox-container {
                    margin-right: 10px;

                    &:last-child {
                        margin-right: 0;
                    }
                }

                > label:nth-child(1) {
                    width: 100px;
                }

                input {
                    width: calc(100% - 100px);
                    box-shadow: none;
                }

                &:nth-child(1) {
                    margin-top: 0;
                }
            }

            .input-group.flex-center {
                -webkit-box-pack: start;
                -webkit-justify-content: flex-start;
                -ms-flex-pack: start;
                justify-content: flex-start;
                margin-top: 15px;

                &:nth-child(1) {
                    margin-top: 0;
                }
            }

            > .checkbox-container {
                margin: 20px 0;
            }

            .hidden-form {
                display: none;

                .input-group.flex-center {
                    margin-top: 0;
                    margin-bottom: 15px;

                    &:last-child {
                        margin-bottom: 20px;
                    }
                }
            }

            .btn-container {
                margin-left: 100px;

                button {
                    width: 250px;
                    max-width: 100%;
                }
            }
        }

        #orderhistory {
            table {
                thead {
                    th {
                        color: var(--gray);
                        font-weight: normal;
                    }
                }

                tbody {
                    tr {
                        td:nth-child(3) {
                            max-width: 350px;

                            span {
                                position: relative;
                                padding-right: 10px;

                                &:after {
                                    position: absolute;
                                    content: "-";
                                    top: 0;
                                    right: 3px;
                                }

                                &:last-child {
                                    padding-right: 0;

                                    &:after {
                                        display: none;
                                    }
                                }
                            }
                        }
                    }
                }

                a {
                    color: var(--info);
                }
            }

           
        }

      

        #accountaddres {
            .addbtn {
                border: 1px solid var(--gray);
                padding: 15px 0;
                text-align: center;

                i {
                    font-size: 35px;
                    line-height: 35px;
                    color: var(--red);
                    margin-right: 10px;
                }

                &:hover {
                    color: var(--red);
                }
            }

            .section-footer {
                .item {
                    display: flex;
                    margin-top: 20px;
                    -webkit-box-pack: justify;
                    -webkit-justify-content: space-between;
                    -ms-flex-pack: justify;
                    justify-content: space-between;
                    padding: 15px;
                    background-color: var(--white);

                    .text-container {
                        padding-right: 20px;

                        > p:nth-child(1) {
                            font-weight: bold;
                            text-transform: uppercase;
                            margin-bottom: 10px;
                        }
                    }

                    .btn-container {
                        .info {
                            color: var(--info);
                            margin-right: 20px;
                        }

                        .red {
                            color: var(--red);
                        }

                        a:hover {
                            text-decoration: underline;
                        }
                    }
                }
            }
        }

        #addaddressform, #updateaddressform {
            label {
                margin-bottom: 0;
                font-weight: normal;
            }

            .input-group {
                .checkbox-container {
                    margin-right: 10px;

                    &:last-child {
                        margin-right: 0;
                    }
                }

                > label:nth-child(1) {
                    width: 100px;
                }

                input, select {
                    width: calc(100% - 100px);
                    box-shadow: none;
                }

                &:nth-child(1) {
                    margin-top: 0;
                }
            }

            .input-group.flex-center {
                -webkit-box-pack: start;
                -webkit-justify-content: flex-start;
                -ms-flex-pack: start;
                justify-content: flex-start;
                margin-top: 15px;

                &:nth-child(1) {
                    margin-top: 0;
                }
            }

            .btn-container {
                margin-left: 100px;
                margin-top: 20px;

                button {
                    width: 250px;
                    max-width: 100%;
                }
            }
        }
    }
}
.orderlist, .addresslist {
    .section-header {
        &.flex-center {
            margin-bottom: 15px;
            -webkit-box-pack: justify;
            -webkit-justify-content: space-between;
            -ms-flex-pack: justify;
            justify-content: space-between;
        }

        &.h5 {
            padding-bottom: 10px;
            font-weight: bold;
        }
    }

    table {
        thead {
            width: 100%;
            /* max-width: 100%; */
           // display: inline-table;
        }
    }

    .item {
        border-bottom: 1px solid var(--gray);
        padding-bottom: 10px;
        margin-bottom: 10px;
        background: var(--gray-light);
        padding: 5px;

        p:nth-child(1) {
            font-weight: bold;
            margin-bottom: 10px;

            span {
                position: relative;
                padding-right: 10px;

                &:after {
                    position: absolute;
                    content: "-";
                    top: 0;
                    right: 3px;
                }

                &:last-child {
                    padding-right: 0;

                    &:after {
                        display: none;
                    }
                }
            }
        }

        &:last-child {
            margin-bottom: 0;
            padding-bottom: 0;
            border: none;
        }
    }
}
.order-detail {
    .section-header {
        &.flex-center {
            margin-bottom: 15px;
            -webkit-box-pack: justify;
            -webkit-justify-content: space-between;
            -ms-flex-pack: justify;
            justify-content: space-between;
        }

        .h4 {
            p {
                font-size: 14px;
            }
        }
    }
}
#orderdetail {
    padding: 15px;
    background-color: transparent;

    .col {
        width: 100%;
    }

    .col:nth-child(1), .col:nth-child(2), .col:nth-child(3) {
        width: calc(50% - 7.5px);
        margin-right: 7.5px;
        margin-bottom: 15px;

        .col-header {
            text-transform: uppercase;
            padding-bottom: 5px;
        }

        .col-body {
            background-color: var(--gray-light);
            padding: 15px;

            p.info {
                color: #33b5e5;
            }
        }
    }

    .col:nth-child(1), .col:nth-child(2) {
        background-color: var(--gray-light);

        .col-header {
            background-color: var(--white);
        }

        .col-body {
            > p:nth-child(1) {
                font-weight: bold;
                text-transform: uppercase;
                margin-bottom: 10px;
            }
        }
    }

    .col:nth-child(2) {
        margin-right: 0;
        margin-left: 7.5px;
    }

    #listitemorder {
        .col-header {
            border-bottom: 1px solid var(--dark);
            padding: 15px;
            background-color: var(--gray-light);
            color: var(--dark);



            .text-container {
                width: calc(100% - 80px - 80px - 80px - 80px - 80px);
            }

            .price {
                width: 80px;
            }

            .quantity-container {
                width: 80px;
            }

            .tax {
                width: 80px;
            }

            .subtotal {
                width: 80px;
            }

            .total {
                width: 80px;
            }
        }

        .col-body {
            background-color: var(--gray-light);

            .item {
                display: flex;
                border-top: 1px solid var(--gray);
                padding: 15px;



                .text-container {
                    width: calc(100% - 80px - 80px - 80px - 80px - 80px);
                    //   padding: 0 15px;
                    h3 {
                        // margin-bottom: 10px;
                    }

                    .btn-container {

                        a {
                            color: #337ab7;

                            &:hover {
                                color: #4267B2;
                                text-decoration: underline;
                            }
                        }
                    }
                }

                .price {
                    width: 80px;
                    padding-right: 15px;
                }

                .quantity-container {
                    width: 80px;
                    padding-right: 15px;
                }

                .tax {
                    width: 80px;
                }

                .subtotal {
                    width: 80px;
                }

                .total {
                    width: 80px;
                }

                &:first-child {
                    border-top: none;
                }
            }
        }

        .col-footer {
            background-color: var(--gray-light);
            margin-top: 15px;
            padding: 15px;
            width: calc(50% - 7.5px);
            margin-left: calc(50% + 7.5px);

            h2 {
                border-bottom: 1px solid var(--gray);
                font-weight: bold;
                text-transform: uppercase;
                padding-bottom: 5px;
            }

            .item {
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;

                label {
                    float: left;
                    margin-bottom: 0;
                }

                p {
                    float: right;
                    line-height: 24px;
                    font-size: 14px;
                }

                &:last-child {
                    //    margin-top: 10px;
                    font-size: 20px;
                    line-height: 30px;

                    p {
                        font-size: 20px;
                        color: var(--red);
                        font-weight: bold;
                    }
                }
            }
        }
    }
}
.orderlist {
    a {
        color: var(--primary);
    }
}
#orderdetail-2 {
    padding: 0px;
    background-color: transparent;

    .col {
        width: 100%;
        background-color: var(--white);
    }

    .col:nth-child(1), .col:nth-child(2), .col:nth-child(3) {
        width: calc((100% - 15.5px) / 3);
        margin-right: 7.5px;
        margin-bottom: 15px;


        .col-header {
            text-transform: uppercase;
            padding-bottom: 5px;
            background-color: var(--gray-light);
        }

        .col-body {
            padding: 15px;

            p.info {
                color: #33b5e5;
            }
        }
    }

    .col:nth-child(1), .col:nth-child(2), .col:nth-child(3) {


        .col-header {
            //background-color: var(--white);
        }

        .col-body {
            > p:nth-child(1) {
                font-weight: bold;
                text-transform: uppercase;
                margin-bottom: 10px;
            }
        }
    }

    .col:nth-child(3) {
        margin-right: 0px;
        margin-left: 0px;
    }

    #listitemorder {
        .col-header {
            border-bottom: 1px solid var(--gray-light);
            padding: 15px;
            background-color: var(--white);
            color: var(--dark);

            .img-container {
                width: 100px;
            }

            .text-container {
                width: calc(100% - 100px - 80px - 80px - 80px - 10px);
                margin-left: 10px;
            }

            .price {
                width: 80px;
            }

            .quantity-container {
                width: 80px;
            }

            .total {
                width: 80px;
                text-align: right;
            }
        }

        .col-body {
            background-color: var(--white);

            .item {
                display: flex;
                border-top: 1px solid var(--gray);
                padding: 15px;


                .img-container {
                    width: 100px;
                }

                .text-container {
                    width: calc(100% - 100px - 80px - 80px - 80px - 10px);
                    margin-left: 10px;
                    //   padding: 0 15px;
                    h3 {
                        // margin-bottom: 10px;
                    }

                    .btn-container {

                        a {
                            color: #337ab7;

                            &:hover {
                                color: #4267B2;
                                text-decoration: underline;
                            }
                        }
                    }
                }

                .price {
                    width: 80px;
                    padding-right: 15px;
                }

                .quantity-container {
                    width: 80px;
                    text-align: center;
                }


                .total-container {
                    width: 80px;
                    text-align: right;
                }

                &:first-child {
                    border-top: none;
                }
            }
        }

        .col-footer {
            background-color: var(--white);
            margin-top: 15px;
            padding: 15px;
            width: 100%;
            padding-left: calc(50% + 7.5px);
            border-top: 1px solid var(--gray-light);

            h2 {
                border-bottom: 1px solid var(--gray);
                font-weight: bold;
                text-transform: uppercase;
                padding-bottom: 5px;
            }

            .item {
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;

                label {
                    float: left;
                    margin-bottom: 0;
                    font-weight: 400;
                }

                p {
                    float: right;
                    line-height: 24px;
                    font-size: 14px;
                }

                &:last-child {
                    //    margin-top: 10px;
                    //   font-size: 20px;
                    //  line-height: 30px;
                    p {
                        font-size: 20px;
                        color: var(--red);
                        font-weight: bold;
                    }
                }
            }
        }
    }
}


.profile-page {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    .account-menu {
        width: calc(20% - 1px);
        margin-right: 30px;

        .profile-thumb {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            align-items: center;
            margin-bottom: 10px;

            .avatar {
                width: 50px;
                height: 50px;
                text-align: center;
                line-height: 50px;
                background: var(---white);
                font-size: 18px;
                font-weight: bold;
                margin-right: 10px;

                span {
                    text-transform: uppercase;
                }
            }

            .des {
                text-transform: uppercase;

                .t-1 {
                    color: var(--dark);
                    opacity: .7;
                }

                .username {
                    font-weight: bold;
                    font-size: 16px;
                }
            }
        }

        .acc-menulst {
            list-style: none;
            padding: 0;
            margin: 0;

            a {
                display: block;
                padding: 10px;

                i {
                    font-size: 20px;
                }

                i, span {
                    display: inline-block;
                    vertical-align: middle;
                }

                &:hover {
                    background: var(--gray)
                }
            }

            li.active {
                a {
                    background: var(--gray);
                    color: var(--primary);
                    font-weight: bold;
                }
            }
        }
    }

    .profile-pagecontent {
        width: calc(80% - 30px);
        //padding: 20px;
        background: var(--gray-light);
    }
    /*#region Profile Config */
    .changepassform {
        display: none;
    }
    /*#endregion */
}

.giftcardlist {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 -15px;

    .item {
        width: calc((100% / 3) - 1px);
        padding: 0 15px;
        margin-bottom: 30px;

        .avatar {
            margin-bottom: 5px;
        }
    }
}

.gift-detail {
    .giftimage {
        margin-bottom: 20px;
        text-align: center;

        img {
            max-width: 100%;
        }
    }
}
/*#endregion*/
@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
    .container {
        width: 970px;
    }
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    #orderdetail, #orderdetail-2{
        padding:0;
    }
    .container {
        width: 750px;
    }

    #account-page {
        padding-top: 80px;
        padding-bottom: 40px;
    }

    .profile-page {
        justify-content: center;

        .account-menu {
            width: 600px;
            max-width: 100%;
            margin-right: 0;
            margin-bottom: 30px;
            background: #fff;
            padding: 15px 0;
        }

        .profile-pagecontent {
            width: 600px;
            max-width: 100%;
        }
    }

    .giftcardlist {
        .item {
            width: calc((100% / 2) - 1px);
        }
    }
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    .order-detail {
        .section-header {
            .h4 {
               // font-weight: bold;

                p {
                    font-weight: bold;
                    padding:5px 0;
                }
            }
            .date{
                padding:5px 0;
            }
        }
    }
   
    #orderdetail {
        padding: 0;



        .col {
            &:nth-child(1), &:nth-child(2), &:nth-child(3) {
                margin-top: 0;
                width: 100%;
                margin-left: 0;
                margin-right: 0;
            }
        }

        #listitemorder {
            .col-header {
                .text-container {
                    width: calc(100% - 50px - 100px);
                }

                .price {
                    width: 100px;
                    text-align: center;
                }

                .quantity-container {
                    width: 50px;
                    text-align: center;
                }

                .subtotal {
                    display: none;
                }

                .tax {
                    display: none;
                    text-align: center;
                }

                .total {
                    display: none;
                    text-align: center;
                }
            }

            .col-body {
                .item {
                    .text-container {
                        width: calc(100% - 50px - 100px);
                    }

                    .price {
                        width: 100px;
                        text-align: center;
                    }

                    .quantity-container {
                        width: 50px;
                        text-align: center;
                    }

                    .subtotal {
                        display: none;
                    }

                    .tax {
                        display: none;
                        text-align: center;
                    }

                    .total-container {
                        display: none;
                        text-align: center;
                    }
                }
            }

            .col-footer {
                width: 100%;
                margin-left: 0;
            }
        }
    }
    #account-page {
        padding-top: 40px;
        padding-bottom: 40px;
    }
    #orderdetail-2 {
        padding: 0;



        .col {
            &:nth-child(1), &:nth-child(2), &:nth-child(3) {
                margin-top: 0;
                width: 100%;
                margin-left: 0;
                margin-right: 0;
            }
        }

        #listitemorder {
            .col-header {
                .text-container {
                    width: calc(100% - 50px - 100px);
                    margin-left: 0;
                }

                .img-container {
                    display: none
                }

                .price {
                    width: 100px;
                    text-align: center;
                }

                .quantity-container {
                    width: 50px;
                    text-align: center;
                }

                .total {
                    display: none;
                    text-align: center;
                }
            }

            .col-body {
                .item {
                    .img-container {
                        display: none
                    }

                    .text-container {
                        width: calc(100% - 50px - 100px);
                        margin-left: 0;
                    }

                    .price {
                        width: 100px;
                        text-align: center;
                    }

                    .quantity-container {
                        width: 50px;
                        text-align: center;
                    }

                    .total-container {
                        display: none;
                        text-align: center;
                    }
                }
            }

            .col-footer {
                width: 100%;
                margin-left: 0;
                padding-left:15px;
            }
        }
    }
    .giftcardlist {
        .item {
            width: calc(100%);
        }
    }
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}
/*#endregion*/
